L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Eclipse OpenJ9 : élévation de privilèges via Absolute RPATH

Synthèse de la vulnérabilité 

Un attaquant peut contourner les restrictions via Absolute RPATH de Eclipse OpenJ9, afin d'élever ses privilèges.
Systèmes impactés : AIX, DB2 UDB, IBM i, Rational ClearCase, Tivoli Storage Manager, Tivoli System Automation, Tivoli Workload Scheduler, WebSphere AS Traditional, SUSE Linux Enterprise Desktop, SLES.
Gravité de cette alerte : 2/4.
Date de création : 23/08/2019.
Références de cette alerte : 1072346, 1073908, 1087227, 1101261, 1108107, 1109829, 6199287, 6199289, 967217, CVE-2019-11771, ibm10964780, SUSE-SU-2019:14160-1, SUSE-SU-2019:14188-1, SUSE-SU-2019:2291-1, SUSE-SU-2019:2336-1, SUSE-SU-2019:2371-1, VIGILANCE-VUL-30137.

Description de la vulnérabilité 

Un attaquant peut contourner les restrictions via Absolute RPATH de Eclipse OpenJ9, afin d'élever ses privilèges.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette menace cybersécurité concerne les logiciels ou systèmes comme AIX, DB2 UDB, IBM i, Rational ClearCase, Tivoli Storage Manager, Tivoli System Automation, Tivoli Workload Scheduler, WebSphere AS Traditional, SUSE Linux Enterprise Desktop, SLES.

Notre équipe Vigil@nce a déterminé que la gravité de ce bulletin de menace informatique est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de shell utilisateur.

Un attaquant avec un niveau de compétence expert peut exploiter cette vulnérabilité cybersécurité.

Solutions pour cette menace 

AIX : patch pour Java.
Un patch est indiqué dans les sources d'information.

IBM DB2 : versions corrigées pour Java.
Les versions corrigées sont indiquées dans les sources d'information.

IBM i : patch pour Java.
Un patch est indiqué dans les sources d'information.

IBM Rational ClearCase : patch pour Java.
Un patch est indiqué dans les sources d'information.

IBM Rational ClearCase : solution pour Java.
La solution est indiquée dans les sources d'information.

IBM Spectrum Protect Operations Center on AIX : patch pour IBM Java.
Un patch est indiqué dans les sources d'information.

IBM Spectrum Protect Server on AIX : patch pour IBM Java.
Un patch est indiqué dans les sources d'information.

IBM Tivoli System Automation : patch pour Java.
Un patch est disponible :
   IBM Tivoli System Automation for Multiplatforms : https://www-945.ibm.com/support/fixcentral/swg/selectFixes?parent=ibm~Tivoli&product=ibm/Tivoli/Tivoli+System+Automation+for+Multiplatforms&release=All&platform=All&function=all
   IBM Tivoli System Automation Application Manager : https://www-945.ibm.com/support/fixcentral/swg/selectFixes?parent=ibm~Tivoli&product=ibm/Tivoli/Tivoli+System+Automation+Application+Manager&release=All&platform=All&function=all

IBM Tivoli Workload Scheduler : patch pour Java.
Un patch est disponible :
  Pour Tivoli Workload Scheduler Distributed 9.2.0 FP0003 : 9.2.0-TIV-TWS-FP0003-IJ23925
  Pour Tivoli Workload Scheduler Distributed 9.4.0 FP06 : 9.4.0-TIV-TWS-FP0006-IJ23925

SUSE LE 11 SP3 : nouveaux paquetages java-1_7_0-ibm.
De nouveaux paquetages sont disponibles :
  SUSE LE 11 SP3 : java-1_7_0-ibm 1.7.0_sr10.50-65.42.1

SUSE LE 11 SP4 : nouveaux paquetages java-1_7_1-ibm.
De nouveaux paquetages sont disponibles :
  SUSE LE 11 SP4 : java-1_7_1-ibm 1.7.1_sr4.50-26.44.1

SUSE LE 12 : nouveaux paquetages java-1_7_1-ibm.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP1 : java-1_7_1-ibm 1.7.1_sr4.50-38.41.1
  SUSE LE 12 SP2 : java-1_7_1-ibm 1.7.1_sr4.50-38.41.1
  SUSE LE 12 SP3 : java-1_7_1-ibm 1.7.1_sr4.50-38.41.1
  SUSE LE 12 SP4 : java-1_7_1-ibm 1.7.1_sr4.50-38.41.1
  SUSE LE 12 SP5 : java-1_7_1-ibm 1.7.1_sr4.50-38.41.1

SUSE LE 12 : nouveaux paquetages java-1_8_0-ibm (13/09/2019).
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP5 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1
  SUSE LE 12 SP4 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1
  SUSE LE 12 SP3 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1
  SUSE LE 12 SP2 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1
  SUSE LE 12 SP1 : java-1_8_0-ibm 1.8.0_sr5.40-30.54.1

SUSE LE 15 : nouveaux paquetages java-1_8_0-ibm.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 RTM : java-1_8_0-ibm 1.8.0_sr5.40-3.24.1
  SUSE LE 15 SP1 : java-1_8_0-ibm 1.8.0_sr5.40-3.24.1

WebSphere AS : patch pour IBM Java.
Un patch est indiqué dans les sources d'information.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une alerte de vulnérabilité informatique. La base de vulnérabilités Vigil@nce contient plusieurs milliers de failles.